Skip to main content
GET
/
v2
/
loyalties
/
programs
/
{programId}
/
tier-structures
List program tier structure assignments
curl --request GET \
  --url {protocol}://{host}/v2/loyalties/programs/{programId}/tier-structures \
  --header 'Authorization: Bearer <token>' \
  --header 'X-App-Id: <api-key>' \
  --header 'X-App-Token: <api-key>'
{
  "object": "<string>",
  "data": [
    {
      "tier_structure_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "object": "<string>"
    }
  ],
  "cursor": {
    "next": "<string>",
    "expires_at": "2023-11-07T05:31:56Z"
  }
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}
{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

id
string
required

Unique program identifier.

Pattern: ^lprg_[a-f0-9]+$

Query Parameters

limit
default:10

Maximum number of items to return. Between 1 and 100. Defaults to 10. Non-integer values are rounded.

Required range: 1 <= x <= 100
order

Sorting order. A single value or an array of values. Prefix with - for descending. Defaults to -created_at. The same field cannot be used in both ascending and descending order at once.

Available options:
-created_at,
created_at
cursor
string | null

Pagination cursor returned by a previous call (cursor.next).

Pattern: ^lcrstsa_[a-f0-9]+$

Response

Paginated list of tier structure assignments.

Cursor-paginated list of tier structure assignments.

object
string

Object type marker.

Allowed value: "list"
data
object[]

Tier structure assignments on the current page.

cursor
object | null

Pagination cursor, or null when there are no more results.

Last modified on July 9, 2026